@import "../global";

@include define-section(server-devices) {
    $border-radius: 0.3rem;

    display: grid;
    gap: 1rem 1rem;
    place-items: start;
    place-content: start;
    grid-template-columns: 1fr;
    grid-template-rows: auto;

    padding: 1rem;

    .control-panel {
        @extend .generic-table-control-panel;
    }

    .server-devices-table {
        @extend .generic-table;

        th {
            &:nth-child(1) {
                width: 1.5rem;
            }
        }
    }
}